Package org.eclipse.emf.cdo.server

# Interface ITopic

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<ISession>`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `InternalTopic`

public interface ITopic extends org.eclipse.net4j.util.container.IContainer<ISession>

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
`ITopicManager`
`getManager()`
`ISession[]`
`getSessions()`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getManager

ITopicManager getManager()

### getID

String getID()

### getSessions

ISession[] getSessions()